<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.blog.BlogPortlet"/>
<portlet:defineObjects/>
<div class="blog-body">
        <div class="blog-info blog-entry-list">
                <portlet:actionURL var="blogBlogLink">
                        <portlet:param name="blog_show" value="blog"/>
                        <portlet:param name="blog_scope" value="${blog.name}"/>
                </portlet:actionURL>
                 
                <portlet:actionURL var="blogEntryLink">
                        <portlet:param name="blog_show" value="single"/>
                        <portlet:param name="blog_scope" value="${blog.name}"/>
                        <portlet:param name="blog_entry_id"
                                       value="${blog.mostRecentEntry.id}"/>
                </portlet:actionURL>
                 
                <h2>
                        <a href="${blogBlogLink}" title="${blog.name}">
                                ${blog.name}</a>
                </h2>
                 
                <c:set var="len" value="${fn:length(blog.entries)}"
                       scope="request"/>
                 
                <c:choose>
                        <c:when test="${blog.entries != null and len > 0}">
                                <span>
                                        <fmt:message key="blog.entry.msg.by"/>&nbsp;${blog.mostRecentEntry.author}</span>
                                <h4>
                                        <a href="${blogEntryLink}"
                                           title="Show ${blog.mostRecentEntry.title}">
                                                ${blog.mostRecentEntry.title}</a>
                                </h4>
                                <div id="${uid}_${blog.mostRecentEntry.id}_link"
                                     class="blog-entry-toggle blog-entry-toggle-open"
                                     onclick="blogPortlet_expandShrink('${uid}', '${blog.mostRecentEntry.id}');"></div>
                                <div class="blog-entry-info">
                                        <fmt:formatDate value="${blog.mostRecentEntry.date}"
                                                        type="time"
                                                        pattern="hh:mm a"
                                                        var="time"/>
                                         
                                        <fmt:formatDate value="${blog.mostRecentEntry.date}"
                                                        type="date"
                                                        pattern="MM/dd/yyyy"
                                                        var="date"/>
                                         &nbsp;<fmt:message key="blog.entry.msg.on"/>&nbsp;${date}&nbsp;<fmt:message key="blog.entry.msg.at"/>&nbsp;${time}
                                </div>
                                <div class="blog-entry-content blog-entry-content-collapsed"
                                     id="${uid}_${blog.mostRecentEntry.id}_content">
                                        ${blog.mostRecentEntry.content}
                                </div>
                        </c:when>
                        <c:otherwise>
                                <div>
                                        <fmt:message key="blog.no.entries.msg"/>
                                </div>
                                <c:if test="${pageContext.request.userPrincipal != null and fn:replace(pageContext.request.userPrincipal.name,'[1]','') == blog_scope}">
                                        <div>
                                                <fmt:message key="blog.add.entry.msg"/>
                                        </div>
                                </c:if>
                        </c:otherwise>
                </c:choose>
        </div>
</div>