<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.blog.BlogPortlet"/>
<portlet:defineObjects/>
<div class="blog-search-results">
        <h3>
                <fmt:message key="blog.search.results.msg">
                        <fmt:param value="${blog_search_text}"/>
                </fmt:message>
        </h3>
         
        <c:set var="text" value="${blog_search_text}" scope="request"/>
         
        <c:set var="emText" value="<em>${text}</em/>" scope="request"/>
         
        <c:set var="strongText" value="<strong>${text}</strong/>"
               scope="request"/>
         
        <c:forEach items="${search_results}" var="search_result"
                   varStatus="status">
                <div class="blog-body">
                        <div class="blog-entry blog-entry-list">
                                <portlet:actionURL var="blogEntryLink">
                                        <portlet:param name="blog_show"
                                                       value="single"/>
                                        <portlet:param name="blog_entry_id"
                                                       value="${search_result.oid}"/>
                                </portlet:actionURL>
                                 
                                <h3 class="blog-entry-title">
                                        <c:set var="title"
                                               value="${fn:replace(search_result.pageName, text, emText)}"
                                               scope="request"/>
                                        <a href="${blogEntryLink}"
                                           title="Show ${search_result.pageName}">
                                                ${title}</a>
                                </h3>
                                <div class="blog-entry-content">
                                        <c:set var="fragment"
                                               value="${fn:replace(search_result.fragment, text, strongText)}"
                                               scope="request"/>
                                         
                                        ${fragment}
                                </div>
                                <div class="blog-entry-info">
                                        <fmt:message key="blog.entry.msg.by"/>&nbsp;<span>
                                                ${search_result.author}</span>&nbsp;<fmt:message key="blog.entry.msg.on"/>&nbsp;${search_result.lastUpdate}
                                </div>
                        </div>
                </div>
        </c:forEach>
</div>