<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.discussions.DiscussionsPortlet"/>
<portlet:defineObjects/>
<portlet:actionURL var="userActionUrl"/>
<div class="forum">
        <div class="forum-edit">
                <h3>
                        <fmt:message key='discussions.create.user.label'/>
                </h3>
                 
                <h4 id="${uid}_message">
                        &nbsp;
                </h4>
                 
                <form method="POST" action="${userActionUrl}"
                      onsubmit="return discussionsPortlet_checkCreateUserForm('${uid}', this);">
                        <div>
                                <label for="username">
                                        <fmt:message key='discussions.username.label'/>
                                        :
                                </label>
                                 
                                <input id="${uid}_username_field"
                                       name="username" type="text"
                                       disabled="disabled"
                                       value="${fn:replace(pageContext.request.userPrincipal.name,'[1]','')}"/>
                        </div>
                        <div>
                                <label for="password">
                                        <fmt:message key='discussions.password.label'/>
                                        :
                                </label>
                                 
                                <input id="${uid}_password_field"
                                       name="password" type="password"
                                       value=""/>
                        </div>
                        <div>
                                <label for="confirm_password">
                                        <fmt:message key='discussions.confirm.password.label'/>
                                        :
                                </label>
                                 
                                <input id="${uid}_confirm_password_field"
                                       name="confirm_password" type="password"
                                       value=""/>
                        </div>
                        <div>
                                <label for="screenname">
                                        <fmt:message key='discussions.screenname.label'/>
                                        :
                                </label>
                                 
                                <input id="${uid}_screenname_field"
                                       name="screenname" type="text"
                                       value="${fn:replace(pageContext.request.userPrincipal.name,'[1]','')}"/>
                                 
                                <input id="${uid}_screenname_toggle"
                                       name="screenname_visible" type="checkbox"
                                       checked="checked"/>
                        </div>
                        <div>
                                <label for="email">
                                        <fmt:message key='discussions.email.label'/>
                                        :
                                </label>
                                 
                                <input id="${uid}_email_field" name="email"
                                       type="text" value=""/>
                                 
                                <input id="${uid}_email_toggle"
                                       name="email_visible" type="checkbox"
                                       checked="checked"/>
                        </div>
                        <div>
                                <input id="${uid}_discussions_action"
                                       name="discussions_action" type="hidden"
                                       value="create_user"/>
                                 
                                <fmt:message key='discussions.done.label'
                                             var="discussions_done_label"/>
                                 
                                <input id="discussions_submit"
                                       name="discussions_submit" type="submit"
                                       value="${discussions_done_label}"/>
                        </div>
                </form>
        </div>
</div>