<%@ page contentType="text/html" session="true" isELIgnored="false"
         import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.iframe.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<fmt:message key='wiki.done.label' var="wiki_done_label"/>
<portlet:actionURL var="actionURL" portletMode="edit"/>
<c:set var="wiki_themes">
  <fmt:message key='wiki.themes'/>
</c:set>
<div style="text-align: center; padding: 4px">
  <h3>
    <fmt:message key='wiki.pref.desc'/>
  </h3>
   
  <h4>
    <fmt:message key='wiki.pref.urlexample1'/>
  </h4>
   
  <h4>
    <fmt:message key='wiki.pref.urlexample2'/>
  </h4>
   
  <form method="POST" action="${actionURL}"
        style="width: 36em; margin: auto; white-space: no-wrap;">
    <label for="wiki_url"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='wiki.url.label'/>
      :
    </label>
    <input id="wiki_url" name="wiki_url" type="text" value="${wiki_url}"
           style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
    <br style="clear: both"/>
    <label for="wiki_scope"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='wiki.scope.label'/>
      :
    </label>
    <input id="wiki_scope" name="wiki_scope" type="text" value="${wiki_scope}"
           style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
    <br style="clear: both"/>
    <label for="wiki_page"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='wiki.page.label'/>
      :
    </label>
    <input id="wiki_page" name="wiki_page" type="text" value="${wiki_page}"
           style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
    <br style="clear: both"/>
    <label for="wiki_theme"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='wiki.theme.label'/>
      :
    </label>
    <select id="wiki_theme" name="wiki_theme"
            style="width: 308px; margin: 4px 2px; padding: 2px; float: left; display: block;">
      <c:forTokens items="${wiki_themes}" delims="," var="theme">
        <c:choose>
          <c:when test="${wiki_theme == theme}">
            <option value="${theme}" selected="true">
              ${theme}
            </option>
          </c:when>
          <c:otherwise>
            <option value="${theme}">
              ${theme}
            </option>
          </c:otherwise>
        </c:choose>
      </c:forTokens>
    </select>
    <br style="clear: both"/>
    <label for="wiki_inline"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='wiki.inline.label'/>
      :
    </label>
    <select id="wiki_inline" name="wiki_inline"
            style="width: 308px; margin: 4px 2px; padding: 2px; float: left; display: block;">
      <c:choose>
        <c:when test="${wiki_inline == '0'}">
          <option value="0" selected="true">
            <fmt:message key='wiki.inline.mode.full.label'/>
          </option>
          <option value="1">
            <fmt:message key='wiki.inline.mode.partial.label'/>
          </option>
          <option value="2">
            <fmt:message key='wiki.inline.mode.minimal.label'/>
          </option>
        </c:when>
        <c:when test="${wiki_inline == '2'}">
          <option value="0">
            <fmt:message key='wiki.inline.mode.full.label'/>
          </option>
          <option value="1">
            <fmt:message key='wiki.inline.mode.partial.label'/>
          </option>
          <option value="2" selected="true">
            <fmt:message key='wiki.inline.mode.minimal.label'/>
          </option>
        </c:when>
        <c:otherwise>
          <option value="0">
            <fmt:message key='wiki.inline.mode.full.label'/>
          </option>
          <option value="1" selected="true">
            <fmt:message key='wiki.inline.mode.partial.label'/>
          </option>
          <option value="2">
            <fmt:message key='wiki.inline.mode.minimal.label'/>
          </option>
        </c:otherwise>
      </c:choose>
    </select>
    <br style="clear: both"/>
    <input id="wiki_submit" name="wiki_submit" type="submit"
           value="${wiki_done_label}"
           style="width: margin: 4px auto; padding: 2px;"/>
    <br style="clear: both"/>
  </form>
</div>