<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<fmt:message key='wiki.done.label' var="wiki_done_label"/>
<fmt:message key='wiki.done.desc' var="wiki_done_desc"/>
<jsp:include page="views/init.jspx"/>
<portlet:actionURL var="actionURL" portletMode="edit"/>
<c:set var="wiki_templates">
  <fmt:message key='wiki.templates'/>
</c:set>
<div class="wiki-edit">
  <h3>
    <fmt:message key='wiki.pref.desc'/>
  </h3>
   
  <h4>
    <fmt:message key='wiki.pref.urlexample1'/>
  </h4>
   
  <h4 id="${uid}_message">
    &nbsp;
  </h4>
   
  <form method="POST" action="${actionURL}">
    <div>
      <label for="wiki_url">
        <fmt:message key='wiki.url.label'/>
        :
      </label>
       
      <input id="wiki_url" name="wiki_url" type="text" value="${wiki_url}"/>
       
      <h4>
        <fmt:message key='wiki.pref.urlexample2'/>
      </h4>
    </div>
    <div>
      <label for="wiki_show">
        <fmt:message key='wiki.show.label'/>
        :
      </label>
       
      <select id="wiki_show" name="wiki_show">
        <c:choose>
          <c:when test="${wiki_show == 'page'}">
            <option value="wikis">
              <fmt:message key='wiki.show.wikis.label'/>
            </option>
            <option value="wiki">
              <fmt:message key='wiki.show.wiki.label'/>
            </option>
            <option value="page" selected="true">
              <fmt:message key='wiki.show.page.label'/>
            </option>
          </c:when>
          <c:when test="${wiki_show == 'wiki'}">
            <option value="wikis">
              <fmt:message key='wiki.show.wikis.label'/>
            </option>
            <option value="wiki" selected="true">
              <fmt:message key='wiki.show.wiki.label'/>
            </option>
            <option value="page">
              <fmt:message key='wiki.show.page.label'/>
            </option>
          </c:when>
          <c:otherwise>
            <option value="wikis" selected="true">
              <fmt:message key='wiki.show.wikis.label'/>
            </option>
            <option value="wiki">
              <fmt:message key='wiki.show.wiki.label'/>
            </option>
            <option value="page">
              <fmt:message key='wiki.show.page.label'/>
            </option>
          </c:otherwise>
        </c:choose>
      </select>
    </div>
    <div>
      <label for="wiki_scope">
        <fmt:message key='wiki.scope.label'/>
        :
      </label>
       
      <select id="wiki_scope" name="wiki_scope">
        <c:forEach items="${all_wikis}" var="wiki">
          <c:set var="info" value="${wiki.domainInfo}" scope="request"/>
          <c:choose>
            <c:when test="${wiki_scope == info.domain}">
              <option value="${info.domain}" selected="true">
                ${info.domain}
              </option>
              <c:set var="wiki_selection" value="true"/>
            </c:when>
            <c:otherwise>
              <option value="${info.domain}">
                ${info.domain}
              </option>
            </c:otherwise>
          </c:choose>
        </c:forEach>
        <c:if test="${wiki_selection != 'true'}">
          <option value="" selected="true"></option>
        </c:if>
      </select>
    </div>
    <div>
      <label for="wiki_page">
        <fmt:message key='wiki.page.label'/>
        :
      </label>
       
      <input id="wiki_page" name="wiki_page" type="text" value="${wiki_page}"/>
    </div>
    <div>
      <label for="wiki_max_pages">
        <fmt:message key='wiki.max.pages.label'/>
        :
      </label>
       
      <input id="wiki_max_pages" name="wiki_max_pages" type="text"
             value="${wiki_max_pages}"/>
    </div>
    <div>
      <label for="wiki_template">
        <fmt:message key='wiki.template.label'/>
        :
      </label>
       
      <select id="wiki_template" name="wiki_template">
        <c:forTokens items="${wiki_templates}" delims="," var="template">
          <c:choose>
            <c:when test="${wiki_template == template}">
              <option value="${template}" selected="true">
                ${template}
              </option>
            </c:when>
            <c:otherwise>
              <option value="${template}">
                ${template}
              </option>
            </c:otherwise>
          </c:choose>
        </c:forTokens>
      </select>
    </div>
    <div>
      <input id="wiki_submit" name="wiki_submit" type="submit"
             value="${wiki_done_label}"/>
    </div>
  </form>
</div>