<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<fmt:message key='wiki.save.label' var="wiki_save_label"/>
<fmt:message key='wiki.cancel.label' var="wiki_cancel_label"/>
<fmt:message key="wiki.delete.confirm.msg" var="wiki_delete_confirm"></fmt:message>
<div class="wiki-body">
  <div class="wiki-page">
    <div id="${uid}_domain_info" class="wiki-info">
      <h3>Wiki Information</h3>
      <table cellpadding="0" cellspacing="0">
        <col name="Name"/>
         
        <col name="Value"/>
         
        <thead>
          <tr>
            <td>
              <span>Name</span>
            </td>
            <td>
              <span>Value</span>
            </td>
          </tr>
        </thead>
         
        <tbody>
          <tr>
            <td>
              <span>Domain</span>
            </td>
            <td>
              <span>
                ${current_wiki.domainInfo.domain}</span>
            </td>
          </tr>
          <tr>
            <td>
              <span>Description</span>
            </td>
            <td>
              <span>
                ${current_wiki.domainInfo.description}</span>
            </td>
          </tr>
          <tr>
            <td>
              <span>Author</span>
            </td>
            <td>
              <span>
                ${current_wiki.domainInfo.author}</span>
            </td>
          </tr>
          <tr>
            <td>
              <span>Created</span>
            </td>
            <td>
              <span>
                ${current_wiki.domainInfo.created}</span>
            </td>
          </tr>
          <tr>
            <td>
              <span>Start Page</span>
            </td>
            <td>
              <span>
                ${current_wiki.domainInfo.startPage}</span>
            </td>
          </tr>
        </tbody>
      </table>
      <h3>Page Information</h3>
      <table cellpadding="0" cellspacing="0">
        <col name="PageName"/>
         
        <col name="LastUpdate"/>
         
        <col name="LastAuthor"/>
         
        <col name="Revision"/>
         
        <col name="Views"/>
         
        <thead>
          <tr>
            <td name="PageName">
              <span>Page</span>
            </td>
            <td name="LastUpdate">
              <span>Last Update</span>
            </td>
            <td name="LastAuthor">
              <span>Last Author</span>
            </td>
            <td name="Revision">
              <span>Revision</span>
            </td>
            <td name="Views">
              <span>Views</span>
            </td>
          </tr>
        </thead>
         
        <tbody>
          <c:forEach items="${current_wiki.allPageInfo}" var="page"
                     varStatus="status">
            <portlet:actionURL var="wikiPageLink">
              <portlet:param name="wiki_scope" value="${page.domain}"/>
              <portlet:param name="wiki_page" value="${page.name}"/>
              <portlet:param name="wiki_show" value="page"/>
            </portlet:actionURL>
            <tr>
              <td name="PageName">
                <span>
                  <a id="${uid}_wiki_link_${status.index}"
                     onclick="wikiPortlet_selectPage('${uid}', '${status.index}');"
                     href="${wikiPageLink}">
                    ${page.name}</a></span>
              </td>
              <td name="LastUpdate">
                <span>
                  ${page.modified}</span>
              </td>
              <td name="LastAuthor">
                <span>
                  ${page.editor}</span>
              </td>
              <td name="Revision">
                <span>
                  ${page.revision}</span>
              </td>
              <td name="Views">
                <span>
                  ${page.views}</span>
              </td>
            </tr>
          </c:forEach>
        </tbody>
      </table>
    </div>
  </div>
</div>
<portlet:actionURL var="wikiPageURL"/>
<form id="${uid}_page_content_form" method="POST" action="${wikiPageURL}"
      style="display: none">
  <input type="hidden" name="page_content" id="${uid}_page_content_field"
         value="${page_content}"/>
  <input type="hidden" name="page_name" id="${uid}_page_name_field"
         value="${page_info.name}"/>
  <input id="${uid}_page_action" type="hidden" name="page_action"
         value="update"/>
</form>