<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.blog.BlogPortlet"/>
<portlet:defineObjects/>
<div class="blog-body">
        <div class="blog-info blog-entry-list">
                <portlet:actionURL var="blogEntryLink">
                        <portlet:param name="blog_show" value="single"/>
                        <portlet:param name="blog_entry_id"
                                       value="${blog_entry.id}"/>
                </portlet:actionURL>
                 
                <h3>
                        <a href="${blogEntryLink}"
                           title="Show ${blog_entry.title}">
                                ${blog_entry.title}</a>
                </h3>
                <div id="${uid}_${blog_entry.id}_link"
                     class="blog-entry-toggle blog-entry-toggle-open"
                     onclick="blogPortlet_expandShrink('${uid}', '${blog_entry.id}');"></div>
                <div class="blog-entry-info">
                        <fmt:formatDate value="${blog_entry.date}" type="time"
                                        pattern="hh:mm a" var="time"/>
                         
                        <fmt:formatDate value="${blog_entry.date}" type="date"
                                        pattern="MM/dd/yyyy" var="date"/>
                         
                        <fmt:message key="blog.entry.msg.by"/>&nbsp;<span>
                                ${blog_entry.author}</span>&nbsp;<fmt:message key="blog.entry.msg.on"/>&nbsp;${date}&nbsp;<fmt:message key="blog.entry.msg.at"/>&nbsp;${time}
                         |&nbsp;<a href="${blogEntryLink}">
                                <fmt:message key="blog.entry.msg.comments"/>&nbsp;${blog_comment_sizes[blog_comment_index]}</a>
                </div>
                <div class="blog-entry-content blog-entry-content-collapsed"
                     id="${uid}_${blog_entry.id}_content">
                        ${blog_entry.content}
                </div>
        </div>
</div>