<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.blog.BlogPortlet"/>
<portlet:defineObjects/>
<portlet:actionURL var="actionURL"/>
<c:choose>
        <c:when test="${(error_type == null or blog_create == 'true') and blog_settings != 'true'}">
                <div class="blog-header">
                        <div class="blog-title">
                                <portlet:actionURL var="blogEntryLink0">
                                        <portlet:param name="blog_show"
                                                       value="blogs"/>
                                </portlet:actionURL>
                                 
                                <portlet:actionURL var="blogEntryLink1">
                                        <portlet:param name="blog_show"
                                                       value="blog"/>
                                </portlet:actionURL>
                                 
                                <c:set var="entryLink" value="${blogEntryLink0}"
                                       scope="request"/>
                                 
                                <c:choose>
                                        <c:when test="${blog_show == 'blogs'}">
                                                <fmt:message key="blog.blogs.label"
                                                             var="blog_title"/>
                                        </c:when>
                                        <c:otherwise>
                                                <fmt:message key="blog.entry.msg.title"
                                                             var="blog_title">
                                                        <fmt:param value="${blog_scope}"/>
                                                </fmt:message>
                                                <c:set var="entryLink"
                                                       value="${blogEntryLink1}"
                                                       scope="request"/>
                                        </c:otherwise>
                                </c:choose>
                                 
                                <h2>
                                        <a href="${entryLink}"
                                           title="Show all entries for ${blog_title}">
                                                ${blog_title}</a>
                                </h2>
                        </div>
                        <div class="blog-controls">
                                <input type="hidden" name="blog_action"
                                       value=""/>
                                 
                                <portlet:actionURL var="settingsUrl">
                                        <portlet:param name="blog_action"
                                                       value="settings"/>
                                </portlet:actionURL>
                                 
                                <form name="Settings"
                                      id="${uid}_blog_settings_form"
                                      method="POST" action="${settingsUrl}">
                                        <fmt:message key='blog.settings.label'
                                                     var="blog_settings_label"/>
                                        <a href="${settingsUrl}" name="Settings"
                                           onclick="document.forms.Settings.submit();">
                                                ${blog_settings_label}</a>
                                </form>
                                 
                                <!--
                                <portlet:actionURL var="searchBlogUrl"/>					
                                <form name="Search" id="${uid}_blog_search_form" method="POST" action="${searchBlogUrl}">
                                        <input id="blog_search_text" name="blog_search_text" type="text" value=""/>
                                        <fmt:message key='blog.search.label' var="blog_search_label"/>
                                        <a href="#" name="Search" onclick="document.forms.Search.submit();">${blog_search_label}</a>
                                        <input type="hidden" name="blog_action" value="search"/>		
                                </form>
                                -->
                                 
                                <form name="Subscribe"
                                      id="${uid}_blog_subscribe_form">
                                        <a target="_blank" name="Subscribe"
                                           href="${blog_rss_url}?name=${blog_scope}">
                                                <fmt:message key="blog.subscribe.label"/></a>
                                </form>
                                 
                                <c:if test="${pageContext.request.userPrincipal != null}">
                                        <c:choose>
                                                <c:when test="${has_personal_blog == 'true'}">
                                                        <portlet:actionURL var="createBlogEntryLink2">
                                                                <portlet:param name="blog_show"
                                                                               value="single"/>
                                                                <portlet:param name="blog_create"
                                                                               value="true"/>
                                                        </portlet:actionURL>
                                                        <form name="Create"
                                                              id="${uid}_blog_create_form"
                                                              action="">
                                                                <a name="Create"
                                                                   href="${createBlogEntryLink2}">
                                                                        <fmt:message key="blog.create.label"/></a>
                                                        </form>
                                                </c:when>
                                                <c:otherwise>
                                                        <portlet:actionURL var="createPersonalBlogLink">
                                                                <portlet:param name="blog_scope"
                                                                               value="${fn:replace(pageContext.request.userPrincipal.name,'[1]','')}"/>
                                                                <portlet:param name="blog_action"
                                                                               value="create_blog"/>
                                                        </portlet:actionURL>
                                                        <form name="CreateBlog"
                                                              id="${uid}_blog_create_personal_form"
                                                              action="">
                                                                <a name="CreateBlog"
                                                                   href="${createPersonalBlogLink}">
                                                                        <fmt:message key="blog.create.personal.blog.label"/></a>
                                                        </form>
                                                </c:otherwise>
                                        </c:choose>
                                </c:if>
                        </div>
                </div>
                <div class="blog-breadcrumbs">
                        <portlet:actionURL var="blogsLink">
                                <portlet:param name="blog_show" value="blogs"/>
                        </portlet:actionURL>
                         
                        <fmt:message key="blog.blogs.label" var="blogs_crumb"/>
                         
                        <span>
                                <a href="${blogsLink}" title="${blogs_crumb}">
                                        ${blogs_crumb}</a></span>
                         
                        <c:if test="${blog_show == 'blog' or blog_show == 'single'}">
                                <portlet:actionURL var="blogLink">
                                        <portlet:param name="blog_show"
                                                       value="blog"/>
                                </portlet:actionURL>
                                <c:set var="blog_crumb" value="${blog_scope}"
                                       scope="request"/>
                                &gt;&nbsp;
                                <span>
                                        <a href="${blogLink}"
                                           title="${blog_crumb}">
                                                ${blog_crumb}</a></span>
                        </c:if>
                         
                        <c:if test="${blog_show == 'single'}">
                                <portlet:actionURL var="blogEntryLink3">
                                        <portlet:param name="blog_show"
                                                       value="single"/>
                                </portlet:actionURL>
                                <c:set var="blog_entry_crumb"
                                       value="${blog_entry.title}"
                                       scope="request"/>
                                &gt;&nbsp;
                                <span>
                                        <a href="${blogEntryLink3}"
                                           title="${blog_entry_crumb}">
                                                ${blog_entry_crumb}</a></span>
                        </c:if>
                </div>
                <div class="blog-entries">
                        <c:set var="blog_list_len">
                                ${fn:length(blog_list)}
                        </c:set>
                         
                        <c:set var="blog_entries_len">
                                ${fn:length(blog_entries)}
                        </c:set>
                         
                        <c:choose>
                                <c:when test="${blog_create == 'true'}">
                                        <c:set var="blog_create_entry"
                                               value="true" scope="request"/>
                                        <jsp:include page="entry.jsp"/>
                                </c:when>
                                <c:when test="${search_results != null}">
                                        <jsp:include page="search_results.jsp"/>
                                </c:when>
                                <c:when test="${blog_show == 'blogs'  and (blog_list != null and blog_list_len > 0)}">
                                        <c:forEach items="${blog_list}"
                                                   var="blog" varStatus="status"
                                                   end="${(blog_max_entries == null or blog_max_entries == '' or blog_max_entries == -1) ? 9999 : blog_max_entries - 1}">
                                                <c:set var="blog"
                                                       value="${blog}"
                                                       scope="request"/>
                                                <jsp:include page="blogs.jsp"/>
                                        </c:forEach>
                                </c:when>
                                <c:when test="${blog_show == 'blog' and (blog_entries != null and blog_entries_len > 0)}">
                                        <c:forEach items="${blog_entries}"
                                                   var="entry"
                                                   varStatus="status"
                                                   end="${(blog_max_entries == null or blog_max_entries == '' or blog_max_entries == -1) ? 9999 : blog_max_entries - 1}">
                                                <c:set var="blog_comment_index"
                                                       value="${status.index}"
                                                       scope="request"/>
                                                <c:set var="blog_entry"
                                                       value="${entry.value}"
                                                       scope="request"/>
                                                <jsp:include page="entries.jsp"/>
                                        </c:forEach>
                                </c:when>
                                <c:when test="${blog_show == 'single' and blog_entry != null}">
                                        <jsp:include page="entry.jsp"/>
                                </c:when>
                                <c:otherwise>
                                        <div class="blog-body">
                                                <div class="blog-entry">
                                                        <div>
                                                                <fmt:message key="blog.no.entries.msg"/>
                                                        </div>
                                                        <c:if test="${pageContext.request.userPrincipal != null and fn:replace(pageContext.request.userPrincipal.name,'[1]','') == blog_scope}">
                                                                <div>
                                                                        <fmt:message key="blog.add.entry.msg"/>
                                                                </div>
                                                        </c:if>
                                                </div>
                                        </div>
                                </c:otherwise>
                        </c:choose>
                </div>
        </c:when>
        <c:otherwise>
                <jsp:include page="../edit.jsp"/>
                <c:choose>
                        <c:when test="${error_type == 'invalid_user'}">
                                <fmt:message key='blog.invalid.user.msg'
                                             var="blog_invalid_user_msg"/>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof blogPortlet_alert != "undefined") ? blogPortlet_alert("${uid}", "${blog_invalid_user_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_blog'}">
                                <c:choose>
                                        <c:when test="${pageContext.request.userPrincipal != null and fn:replace(pageContext.request.userPrincipal.name,'[1]','') == blog_scope}">
                                                <portlet:actionURL var="createBlogURL"/>
                                                <form id="${uid}_create_blog_form"
                                                      method="POST"
                                                      action="${createBlogURL}"
                                                      style="display: none">
                                                        <input type="hidden"
                                                               name="blog_scope"
                                                               id="${uid}_blog_scope"
                                                               value="${blog_scope}"/>
                                                        <input id="${uid}_blog_action"
                                                               type="hidden"
                                                               name="blog_action"
                                                               value="create_blog"/>
                                                </form>
                                                <fmt:message key='blog.no.personal.msg'
                                                             var="blog_no_personal_msg"/>
                                                <script type="text/javascript">
                                                        if (typeof blogPortlet_confirm != "undefined") {
                                                                if (blogPortlet_confirm("${uid}", "${blog_no_personal_msg}")) {
                                                                        var form = document.getElementById("${uid}_create_blog_form");
                                                                        form.submit();
                                                                }
                                                        }
                                                </script>
                                        </c:when>
                                        <c:otherwise>
                                                <c:choose>
                                                        <c:when test="${blog_scope != null and blog_scope != ''}">
                                                                <fmt:message key='blog.not.valid.msg'
                                                                             var="blog_not_valid_msg">
                                                                        <fmt:param value="${blog_scope != null ? blog_scope : 'none'}"/>
                                                                </fmt:message>
                                                        </c:when>
                                                        <c:otherwise>
                                                                <fmt:message key='blog.not.set.msg'
                                                                             var="blog_not_valid_msg"></fmt:message>
                                                        </c:otherwise>
                                                </c:choose>
                                                <script type="text/javascript">
                                                //<![CDATA[
                                                        (typeof blogPortlet_alert != "undefined") ? blogPortlet_alert("${uid}", "${blog_not_valid_msg}") : void(0);
                                                //]]>
                                                </script>
                                        </c:otherwise>
                                </c:choose>
                        </c:when>
                        <c:when test="${error_type == 'invalid_url'}">
                                <fmt:message key='blog.invalid.url.msg'
                                             var="blog_invalid_url_msg">
                                        <fmt:param value="${blog_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof blogPortlet_alert != "undefined") ? blogPortlet_alert("${uid}", "${blog_invalid_url_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:when test="${error_type == 'invalid_service'}">
                                <fmt:message key='blog.invalid.service.msg'
                                             var="blog_invalid_service_msg">
                                        <fmt:param value="${blog_url}"/>
                                </fmt:message>
                                <script type="text/javascript">
                                //<![CDATA[
                                        (typeof blogPortlet_alert != "undefined") ? blogPortlet_alert("${uid}", "${blog_invalid_service_msg}") : void(0);
                                //]]>
                                </script>
                        </c:when>
                        <c:otherwise></c:otherwise>
                </c:choose>
        </c:otherwise>
</c:choose>