<%@ page contentType="text/html" session="true" isELIgnored="false"
         import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.iframe.blog.BlogPortlet"/>
<portlet:defineObjects/>
<fmt:message key='blog.done.label' var="blog_done_label"/>
<portlet:actionURL var="actionURL" portletMode="edit"/>
<c:set var="blog_themes">
  <fmt:message key='blog.themes'/>
</c:set>
<div style="text-align: center; padding: 4px">
  <h3>
    <fmt:message key='blog.pref.desc'/>
  </h3>
   
  <h4>
    <fmt:message key='blog.pref.urlexample1'/>
  </h4>
   
  <h4>
    <fmt:message key='blog.pref.urlexample2'/>
  </h4>
   
  <form method="POST" action="${actionURL}"
        style="width: 36em; margin: auto; white-space: no-wrap;">
    <label for="blog_url"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='blog.url.label'/>
      :
    </label>
    <input id="blog_url" name="blog_url" type="text" value="${blog_url}"
           style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
    <br style="clear: both"/>
    <label for="blog_type"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='blog.type.label'/>
      :
    </label>
    <select id="blog_type" name="blog_type"
            style="width: 308px; margin: 4px 2px; padding: 2px; float: left; display: block;">
      <c:choose>
        <c:when test="${blog_type == 'Community'}">
          <option value="0">
            <fmt:message key='blog.type.personal.label'/>
          </option>
          <option value="1" selected="true">
            <fmt:message key='blog.type.community.label'/>
          </option>
        </c:when>
        <c:otherwise>
          <option value="0" selected="true">
            <fmt:message key='blog.type.personal.label'/>
          </option>
          <option value="1">
            <fmt:message key='blog.type.community.label'/>
          </option>
        </c:otherwise>
      </c:choose>
    </select>
    <br style="clear: both"/>
    <c:choose>
      <c:when test="${blog_type == '1'}">
        <label for="blog_scope"
               style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
          <fmt:message key='blog.scope.community.label'/>
          :
        </label>
        <input id="blog_scope" name="blog_scope" type="text"
               value="${blog_scope}"
               style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
      </c:when>
      <c:otherwise>
        <label for="blog_scope"
               style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
          <fmt:message key='blog.scope.personal.label'/>
          :
        </label>
        <input id="blog_scope" name="blog_scope" type="text"
               value="${blog_scope}"
               style="width: 300px; margin: 4px 2px; padding: 2px; float: left; display: block;"/>
      </c:otherwise>
    </c:choose>
    <br style="clear: both"/>
    <label for="blog_theme"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='blog.theme.label'/>
      :
    </label>
    <select id="blog_theme" name="blog_theme"
            style="width: 308px; margin: 4px 2px; padding: 2px; float: left; display: block;">
      <c:forTokens items="${blog_themes}" delims="," var="theme">
        <c:choose>
          <c:when test="${blog_theme == theme}">
            <option value="${theme}" selected="true">
              ${theme}
            </option>
          </c:when>
          <c:otherwise>
            <option value="${theme}">
              ${theme}
            </option>
          </c:otherwise>
        </c:choose>
      </c:forTokens>
    </select>
    <br style="clear: both"/>
    <label for="blog_inline"
           style="width: 6em; float: left; display: block; text-align: right; margin: 4px 2px; padding: 2px;">
      <fmt:message key='blog.inline.label'/>
      :
    </label>
    <select id="blog_inline" name="blog_inline"
            style="width: 308px; margin: 4px 2px; padding: 2px; float: left; display: block;">
      <c:choose>
        <c:when test="${blog_inline == '0'}">
          <option value="0" selected="true">
            <fmt:message key='blog.inline.mode.full.label'/>
          </option>
          <option value="1">
            <fmt:message key='blog.inline.mode.partial.label'/>
          </option>
          <option value="2">
            <fmt:message key='blog.inline.mode.minimal.label'/>
          </option>
        </c:when>
        <c:when test="${blog_inline == '2'}">
          <option value="0">
            <fmt:message key='blog.inline.mode.full.label'/>
          </option>
          <option value="1">
            <fmt:message key='blog.inline.mode.partial.label'/>
          </option>
          <option value="2" selected="true">
            <fmt:message key='blog.inline.mode.minimal.label'/>
          </option>
        </c:when>
        <c:otherwise>
          <option value="0">
            <fmt:message key='blog.inline.mode.full.label'/>
          </option>
          <option value="1" selected="true">
            <fmt:message key='blog.inline.mode.partial.label'/>
          </option>
          <option value="2">
            <fmt:message key='blog.inline.mode.minimal.label'/>
          </option>
        </c:otherwise>
      </c:choose>
    </select>
    <br style="clear: both"/>
    <input id="blog_submit" name="blog_submit" type="submit"
           value="${blog_done_label}"
           style="width: margin: 4px auto; padding: 2px;"/>
    <br style="clear: both"/>
  </form>
</div>