<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<c:set var="actionUrl" value="${actionUrl}" scope="request"/>
<c:set var="uid" scope="request">
  <portlet:namespace/>
</c:set>
<c:set var="def_url"
       value="http://${pageContext.request.serverName}:${pageContext.request.serverPort}"
       scope="request"/>
<c:set var="portlet_path"
       value="${fn:substringBefore(pageContext.request.requestURI, 'views/init.jsp')}"
       scope="request"/>
<c:set var="wiki_template"
       value="${wiki_template != null ? wiki_template : 'default'}"
       scope="request"/>
<c:set var="css_path" value="${def_url}${portlet_path}/css/${wiki_template}.css"
       scope="request"/>
<c:set var="js_path" value="${def_url}${portlet_path}/js/wiki.js"
       scope="request"/>

<!--*********** fckeditor requirements ************-->
<!--

rte_path value must be set for the appropriate consumer type

For WebCenter based custom app:
<c:set var="rte_path" value="${def_url}${pageContext.request.contextPath}/fckeditor/fckeditor.js" scope="request"/>

For Oracle Portal:
<c:set var="rte_path" value="/images/fckeditor/fckeditor.js" scope="request"/>

-->

<c:set var="rte_path" value="/images/fckeditor/fckeditor.js" scope="request"/>

<script type="text/javascript">
        //<![CDATA[
        var wikiPortlet_contextPath = "${def_url}${pageContext.request.contextPath}";
        var linkNode = document.getElementById("wikiPortlet_css");
        if (!linkNode) {
                var headEl = document.getElementsByTagName("head")[0];
                var linkNode = document.createElement("link");
                linkNode.type = "text/css";
                linkNode.rel = "stylesheet";
                linkNode.media = "screen";
                linkNode.id = "wikiPortlet_css";
                headEl.appendChild(linkNode);
        }			

        var wikiScriptNode = document.getElementById("wikiPortlet_script");
        if (!wikiScriptNode) {
                var headEl = document.getElementsByTagName("head")[0];
                var wikiScriptNode = document.createElement("script");
                wikiScriptNode.type = "text/javascript";
                wikiScriptNode.id = "wikiPortlet_script";
                headEl.appendChild(wikiScriptNode);
        }			

        var rteScriptNode = document.getElementById("rte_script");
        if (!rteScriptNode) {
                var headEl = document.getElementsByTagName("head")[0];
                var rteScriptNode = document.createElement("script");
                rteScriptNode.type = "text/javascript";
                rteScriptNode.id = "rte_script";
                headEl.appendChild(rteScriptNode);
        }
        
        linkNode.href = "${css_path}";
        wikiScriptNode.src = "${js_path}";
        rteScriptNode.src = "${rte_path}";
        
      
        if (${wiki_create == 'true'}) {
                setTimeout("wikiPortlet_doCreate('${uid}')", 500);
                //wikiPortlet_doCreate("${uid}");
        }
        //]]>
</script>