<%@ page contentType="text/html" session="true" pageEncoding="windows-1252"
         isELIgnored="false" import="javax.portlet.*,java.util.*"%>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<fmt:setLocale value="en"/>
<fmt:setBundle basename="samples.webcenter.portlets.wiki.WikiPortlet"/>
<portlet:defineObjects/>
<div class="wiki-search-results">
        <h3>
                <fmt:message key="wiki.search.results.msg">
                        <fmt:param value="${wiki_search_text}"/>
                </fmt:message>
        </h3>
         
        <c:set var="text" value="${wiki_search_text}" scope="request"/>
         
        <c:set var="emText" value="<em>${text}</em/>" scope="request"/>
         
        <c:set var="strongText" value="<strong>${text}</strong/>"
               scope="request"/>
         
        <c:forEach items="${search_results}" var="search_result"
                   varStatus="status">
                <div class="wiki-body">
                        <div class="wiki-page">
                                <portlet:actionURL var="wikiEntryLink">
                                        <portlet:param name="wiki_show"
                                                       value="page"/>
                                        <portlet:param name="wiki_scope"
                                                       value="${search_result.domain}"/>
                                        <portlet:param name="wiki_page"
                                                       value="${search_result.pageName}"/>
                                </portlet:actionURL>
                                 
                                <h3 class="wiki-page-name">
                                        <c:set var="title"
                                               value="${fn:replace(search_result.pageName, text, emText)}"
                                               scope="request"/>
                                        <a href="${wikiEntryLink}"
                                           title="Show ${search_result.pageName}">
                                                ${search_result.domain}&nbsp;&gt;&nbsp;${title}</a>
                                </h3>
                                <div class="wiki-page-content">
                                        <c:set var="fragment"
                                               value="${fn:replace(search_result.fragment, text, strongText)}"
                                               scope="request"/>
                                         
                                        ${fragment}
                                </div>
                                <div class="wiki-page-info">
                                        <fmt:message key="wiki.search.results.msg.info">
                                                <param name="author"
                                                       value="${search_result.author}"></param>
                                                <param name="lastUpdate"
                                                       value="${search_result.lastUpdate}"></param>
                                                <fmt:param value="${search_result.author}"></fmt:param>
                                                <fmt:param value="${search_result.lastUpdate}"></fmt:param>
                                        </fmt:message>
                                </div>
                        </div>
                </div>
        </c:forEach>
</div>